%define	name	bobobot
%define	version	0
%define	release	14mdk.preview3
%define	Summary	Mario-like game

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	ftp://ftp.sonic.net/pub/users/nbs/unix/x/bobobot/bobobot-preview3.tar.bz2
Url:		http://newbreedsoftware.com/bobobot/
License:	GPL
Group:		Games/Arcade
Packager:	Pixel <pixel@mandrakesoft.com>
BuildRequires:	SDL_mixer-devel XFree86-devel alsa-lib-devel esound-devel ImageMagick
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Patch0:		%{name}-preview3-fix-makefile.patch.bz2
Patch2:		%{name}-preview3-fix-nosound.patch.bz2

%description
BoboBot is a multi-level one-player action game starring "BoboBot," the
robo-monkey. It's played with the keyboard, or optionally with a joystick

%prep
%setup -q -n %{name}-preview3
%patch0 -p1
%patch2 -p1 -z .pix

# beurk
chmod +x mods/unused
chmod -R a+r *

%build
%make SOUND=YES MUSIC=YES INSTALLROOT=%{_gamesdatadir}/%{name} OPTIMIZE="%{optflags}" bobobot

%install
rm -rf $RPM_BUILD_ROOT

%{__install} -d $RPM_BUILD_ROOT{%{_liconsdir},%{_miconsdir}}
convert %{name}-icon.xpm -size 16x16 $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
convert %{name}-icon.xpm -size 32x32 $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert %{name}-icon.xpm -size 48x48 $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%{__install} -d $RPM_BUILD_ROOT%{_menudir}
%{__cat} <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
                icon=%{name}.png \
                needs="x11" \
                section="Amusement/Arcade" \
                title="BoboBot"\
                longtitle="%{Summary}"
EOF

install -d $RPM_BUILD_ROOT{%{_gamesbindir},%{_gamesdatadir}/%{name}}
make INSTALLROOT=$RPM_BUILD_ROOT%{_gamesdatadir}/%{name}
mv $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/%{name} $RPM_BUILD_ROOT%{_gamesbindir}

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/*
%{_gamesdatadir}/%{name}
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%defattr(755,root,root,755)
%{_gamesbindir}/%{name}

%changelog
* Wed Aug 06 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0-14mdk.preview3
- include more meaningful documentation

* Mon Aug 04 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0-13mdk.preview3
- rebuild
- move stuff to %%{_gamesbindir} & %%{_gamesdatadir}
- quiet setup
- drop Prefix tag
- cosmetics
- added menu item
- added icons

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0-12mdk.preview3
- rebuild

* Sun Jul 21 2002 Pixel <pixel@mandrakesoft.com> 0-11mdk.preview3
- recompile against new vorbis stuff

* Mon Apr 29 2002 Pixel <pixel@mandrakesoft.com> 0-10mdk.preview3
- rebuild for new libasound (alsa)

* Sat Jan 19 2002 Stefan van der Eijk <stefan@eijk.nu> 0-9mdk.preview3
- BuildRequires

* Tue Sep 11 2001 Stefan van der Eijk <stefan@eijk.nu> 0-8mdk.preview3
- BuildRequires: libSDL1.2-devel XFree86-devel

* Thu Sep  6 2001 Pixel <pixel@mandrakesoft.com> 0-7mdk.preview3
- rebuild

* Mon May 14 2001 Pixel <pixel@mandrakesoft.com> 0-6mdk.preview3
- rebuild with new SDL

* Tue Dec 19 2000 Pixel <pixel@mandrakesoft.com> 0-5mdk.preview3
- rebuild for new lib mixer

* Mon Dec  4 2000 Pixel <pixel@mandrakesoft.com> 0-4mdk.preview3
- new version

* Wed Nov 29 2000 Pixel <pixel@mandrakesoft.com> 0-3mdk.preview2
- rebuild

* Mon Nov 27 2000 Pixel <pixel@mandrakesoft.com> 0-2mdk.preview2
- add BuildRequires

* Wed Nov  1 2000 Pixel <pixel@mandrakesoft.com> 0-1mdk.preview2
- initial spec


# end of file
